#region Copyright Syncfusion Inc. 2001 - 2015
// Copyright Syncfusion Inc. 2001 - 2015. All rights reserved.
// Use of this code is subject to the terms of our license.
// A copy of the current license can be obtained at any time by e-mailing
// licensing@syncfusion.com. Any infringement will be prosecuted under
// applicable laws. 
#endregion
using System;
using System.Collections.ObjectModel;
using System.ComponentModel;
using System.Globalization;
using System.Runtime.CompilerServices;
using System.Windows.Data;
using VisualDataEditing.Annotations;
using Syncfusion.UI.Xaml.Charts;

namespace VisualDataEditing
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow
    {
        public MainWindow()
        {
            InitializeComponent();
        }
    }


    public class SalesAnalysisViewModel
    {
        public ObservableCollection<SalesAnalysisModel> SalesData { get; set; }

        public SalesAnalysisViewModel()
        {
            SalesData = GetRandomData();
        }

        private ObservableCollection<SalesAnalysisModel> GetRandomData()
        {
            ObservableCollection<SalesAnalysisModel> datas = new ObservableCollection<SalesAnalysisModel>();
            var date = new DateTime(2010, 1, 1);
            Random rand = new Random();
            for (int i = 0; i < 100; i++)
            {
                datas.Add(new SalesAnalysisModel() { Year = date.AddYears(i), Income = rand.Next(10, 100) });
            }
            return datas;
        }

    }

    public class SalesAnalysisModel : INotifyPropertyChanged
    {
        private double income;

        public double Income
        {
            get { return income; }
            set { income = value; }
        }

        private DateTime  year;

        public DateTime  Year
        {
            get { return year; }
            set { year = value; }
        }

        public event PropertyChangedEventHandler PropertyChanged;

        [NotifyPropertyChangedInvocator]
        protected virtual void OnPropertyChanged(string propertyName = null)
        {
            PropertyChangedEventHandler handler = PropertyChanged;
            if (handler != null) handler(this, new PropertyChangedEventArgs(propertyName));
        }
    }
}
